/************************************************************************
* RCS  $Revision$			$Date$				*
*									*
* MACDEFS.H								*
*									*
* Environment								*
* 	MS-DOS, WD8003							*
*									*
* (c) Copyright 1987 Western Digital Corporation(R).			*
* All reghts reserved. Contains confidential information		*
* and trade secrets proprietary to Western Digital Corporation		*
*									*
* Module Description:							*
*	Media Access Control Sublayer module data structure 		*
*	definitions for 82588 based WD8003.				*
*									*
* Activity:								*
*	DATE:	06/02/87						*
*	LEVEL:	et.bb.00						*
*	WHO:	KC 							*
*	CHANGE: Netbios emulator WD8003 port.				*
*									*
************************************************************************/

/************************************************************************
*									*
*  (c) Copyright Retix 1985.						*
*  This software is furnished under a license and use, duplication,	*
*  disclosure and all other uses are restricted to the rights		*
*  specified in the written license between the licensee and Retix.	*
*									*
************************************************************************/

/* doubly linked list structure */

struct db_list
	{			
	buf_type first;		/* pointer to the first element of list */
	buf_type last;		/* pointer to the last element of list */
	};

struct	mstat
	{
	long	t0;		/* number of attempts to transmit */
	long	txok;		/* number of successful transmissions */
	long	txbad;		/* number of failed transmits */
	long	collsn;		/* number of collisions occured */
	long	lostcrs;	/* number of times the CRS was lost during tx */
	long	lostcts;	/* lost CTS */
	long	underrun;	/* number of underrun errors */

	long	rxrd;		/* number of times the receiver was ready to receive */
	long	rxok;		/* number of mpdus rxed w/o error */
	long	rxnrd;		/* number rx's aborted for receive processing */
	long	crcerr;		/* number of mpdus received with CRC error */
	long	overrun;	/* number of overrun errors */
	long	algerr;		/* number of alignment errors */
	long	srtfrm;		/* number of short frame receiver error */
	long	rxnom;		/* number of receives lost due to lack of mem */
	long	rxblkd;		/* unused */

	long	ex_lockup;	/* number of times the execution unit of the chip was in lockup situation */
	long	ia_corrup;	/* number of times the IA is corrupted */
	long	spur_int;	/* number of spurious interrupts */
	};

