/*
 * Module: WD8003
 * Project: System V ViaNet
 *
 *		Copyright (c) 1987, 1988 by Western Digital Corporation.
 *		All rights reserved.  Contains confidential information and
 *		trade secrets proprietary to
 *			Western Digital Corporation
 *			2445 McCabe Way
 *			Irvine, California 92714
 */

#ident "@(#)space.c	1.6	2/4/88"

/*
 * Configuration file for WD 8003 (Starlan)
 * all user configurable options are  here
 */

#include "sys/types.h"
#include "sys/stream.h"
#include "sys/wd.h"

#define NWDDEV		32	/* Number of WD 8003 devices */
#define WDDEBUG		0x0	/* Enable/Disable driver debugging */

#define WDIRQ		3	/* IRQ value */
#define WDBASEPORT	0x280	/* Base I/O port */
#define WDBASEADDR	0xcc000	/* Base shared memory address */
#define WDBOARDSIZE	8192	/* Board size */

struct wddev wddevs[NWDDEV];
int	     wd_cnt = NWDDEV;

int 	     wd_debug = WDDEBUG; /* can be enabled dynamically */

struct wdparams wdparams = {
  WDIRQ,
  WDBASEPORT,
  (caddr_t)WDBASEADDR,
  WDBOARDSIZE, 
};
