/**************************************************************************
*
* VERSION.H
*
* Copyright (c) 1986, 1987 by Western Digital Corp.,
* all rights reserved. Contains confidential information and
* trade secrets proprietary to Western Digital Corporation.
*
* Module Description
*	Contains version level definitions for the OSI module as a whole.
*	This module is only useful when running in one environment, where
*	version info can be written to the console.
*
* Activity:
*
*	DATE:	10/16/86
*	LEVEL:	es.ba.02
*	WHO:	jet
*	CHANGE: [01] Created file.
*
*	DATE:	2/24/87
*	LEVEL:	es.ba.04
*	WHO:	jet
*	CHANGE: [04] WDPR #604
*		Change copyright in source and greeting
*
*	DATE:	5/14/87
*	LEVEL:	et.bb.00
*	WHO:	KC
*	CHANGE: [05] change revision number for porting
*
*	DATE:	6/12/87
*	LEVEL:	et.bb.01
*	WHO:	KC
*	CHANGE: [05] WDBPR# 761, 762, & 763
*
*	DATE:	7/13/87
*	LEVEL:	et.bb.02
*	WHO:	KC
*	CHANGE: [07] WDBPR# 775, 776, 777, 779
*
*	DATE:	7/31/87
*	LEVEL:	et.bb.03
*	WHO:	KC
*	CHANGE: [08] WDBPR# 785, 786
*
*	DATE:	8/20/87
*	LEVEL:	et.bb.04
*	WHO:	KC
*	CHANGE: [09] WDBPR# 801, 802
*
*	DATE:	9/24/87
*	LEVEL:	et.bb.05
*	WHO:	KC
*	CHANGE: [10] WDBPR# 790, 816, 817, 819, 818, 820, 822, 821, 823
*		824, 825.
*
*	DATE:	10/8/87
*	LEVEL:	et.bb.06
*	WHO:	KC
*	CHANGE: [11] WDBPR# 837, 838, 839
*
*	DATE:	10/29/87
*	LEVEL:	et.bc.00
*	WHO:	KC
*	CHANGE: [12] WDBPR# 412, 894, 895, 959
*		convert to MS compiler & no expedited data
*
***************************************************************************/

#define VERSION   "Mod Lvl et.bc.00"    /* [12] */
#define LICENSEE  ""                                    /* [04] */
#define MACHINE   "Western Digital Netbios Emulator"    /* [04] */

long	maj_lvl 	= 0L;	/* equals aa (function level)	*/
long	min_lvl 	= 0L;	/* equals 00 (module level)	*/
